> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Oracle Cloud Infrastructure

The Prisma AIRS AI Gateway provides a robust and secure gateway to facilitate the integration of various Large Language Models (LLMs) into your applications, including [Oracle Cloud Infrastructure (OCI) Generative AI](https://www.oracle.com/artificial-intelligence/generative-ai/generative-ai-service/).

> [!NOTE]
>
> Provider Slug: `oracle`

## Using Oracle OCI Generative AI with the AI Gateway

The AI Gateway provides a consistent API to interact with models from various providers. To integrate Oracle OCI Generative AI with the AI Gateway:

### 1. Install the OpenAI SDK

**NodeJS**

```sh theme={"system"}
npm install openai --save
```

**Python**

```sh theme={"system"}
pip install openai
```

### 2. Initialize the AI Gateway with Oracle OCI

Oracle OCI uses API key-based authentication with request signing. You'll need the following credentials from your OCI console:

| Parameter | Description |
| - | - |
| `oracleRegion` | OCI region (e.g., `us-chicago-1`, `eu-frankfurt-1`) |
| `oracleTenancy` | Your OCI tenancy OCID |
| `oracleCompartmentId` | Your OCI compartment OCID |
| `oracleUser` | Your OCI user OCID |
| `oracleFingerprint` | API key fingerprint |
| `oraclePrivateKey` | Private key content (PEM format) |
| `oracleKeyPassphrase` | (Optional) Passphrase for encrypted private key |

Add these credentials to [Model Catalog](https://stratacloudmanager.paloaltonetworks.com/) to create an Oracle AI Provider.

### 3. Invoke Chat Completions

**cURL**

```sh theme={"system"}
curl https://aigw.portkey.ai/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $PORTKEY_API_KEY" \
  -d '{
    "model": "@ORACLE_PROVIDER/cohere.command-r-plus",
    "messages": [
      { "role": "user", "content": "Say this is a test" }
    ]
  }'
```

***

## Supported Models

Oracle OCI Generative AI supports various foundation models including:

* **Cohere Models**: `cohere.command-r-plus`, `cohere.command-r`, `cohere.command`
* **Meta Llama Models**: `meta.llama-3.1-405b-instruct`, `meta.llama-3.1-70b-instruct`

For the complete list of available models, refer to the [Oracle OCI Generative AI documentation](https://docs.oracle.com/en-us/iaas/Content/generative-ai/pretrained-models.htm).

## Configuration Options

You can specify the API version using the `oracleApiVersion` parameter (defaults to `20231130`). If the value isn't a valid 8-digit version date, the default version is used.

***

## Next Steps

You'll find more information in the relevant sections:

1. [Add metadata to your requests](https://docs.portkey.ai/docs/aigw/product/observability/metadata.md)
2. [Add gateway configs to your Oracle requests](https://docs.portkey.ai/docs/aigw/product/ai-gateway/configs.md)
3. [Tracing Oracle requests](https://docs.portkey.ai/docs/aigw/product/observability/traces.md)
4. [Setup a fallback from OpenAI to Oracle](https://docs.portkey.ai/docs/aigw/product/ai-gateway/fallbacks.md)


## Related topics

- [Enterprise Gateway](https://docs.portkey.ai/docs/changelog/enterprise.md)
- [Custom hosts](https://docs.portkey.ai/docs/aigw/product/ai-gateway/custom-hosts.md)
- [ECS](https://docs.portkey.ai/docs/aigw/self-hosting/hybrid-deployments/aws/ecs.md)
- [OAuth in SCM](https://docs.portkey.ai/docs/aigw/product/mcp-gateway/authentication/cas.md)
- [Google Vertex AI](https://docs.portkey.ai/docs/aigw/integrations/llms/vertex-ai.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.